### Method

# Gimp Image get_palette

since: 3.0

#### Declaration [src]

    GimpPalette*
    gimp_image_get_palette (
      GimpImage* image
    )

#### Description [src]

Returns the image’s colormap

This procedure returns the image’s colormap as a `GimpPalette`. If the image is not in Indexed color mode, `NULL` is returned.

Available since: 3.0

#### Return value

Type: `GimpPalette`

The image’s colormap palette.

The returned data is owned by the instance.